﻿# Anbennar: commented vanilla stuff

# Root = New character after being made
on_ruler_designer_finished = {
	effect = {
		# Don't fire marriage notification events.
		if = {
			limit = { faith = { has_doctrine_parameter = marriage_event } }
			add_character_flag = ignore_marriage_event
		}
		# Do we need to fire a regency for this character?
		if = {
			limit = {
				OR = {
					is_adult = no
					is_incapable = yes
				}
			}
			add_to_global_variable_list = {
				name = rd_chars_needing_regencies
				target = root
			}
		}
		# If your capital on game start is Mecca, you get the Hajjaj trait (since you can't Hajj to your capital)
		# if = { # Anbennar
			# limit = {
				# this = title:b_makka.county.holder
				# faith = { has_doctrine_parameter = mandatory_hajj }
				# NOT = { has_trait = hajjaj }
			# }
			# # Have some Hajjaj
			# add_trait = hajjaj
		# }

		## Landless adventurer
		if = {
			limit = {
				NOT = { is_landed = yes }
			}
			create_landless_adventurer_title_effect = {
				REASON = flag:voluntary
				FLAVOR_CHAR = root
			}
		}
	}
}
